Skip to content

List contact lists

GET
/v1/contact-lists
curl --request GET \
--url 'https://api.vocapable.com/v1/contact-lists?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string

Successful Response

Media typeapplication/json
CursorPage[ContactListSummary]
object
data
required
Data
Array<object>
ContactListSummary
object
id
required
Id
string
name
required
Name
string
source
required
Source
string
Allowed values: upload api
consent_basis
Any of:
ConsentBasis

CANON fact 18 - the four consent classes (docs/07-compliance.md §consent).

string
Allowed values: pewc pec ebr transactional
attestation_ref
Any of:
string
contact_count
required
Contact Count
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"source": "upload",
"consent_basis": "pewc"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}